Name:       cldr-emoji-annotation
Version:    45
Release:    %mkrel 1
# Annotation files are in Unicode license
Summary:    Emoji annotation files in CLDR
Group:      System/Internationalization
License:    LGPLv2+ and Unicode
URL:        https://cldr.unicode.org/
Source0:    https://github.com/unicode-org/cldr/archive/release-%{version}/cldr-release-%{version}.tar.gz
BuildArch:  noarch
Requires:   %{name}-dtd >= %{version}-%{release}

%description
This package provides the emoji annotation file by language in CLDR.

%package dtd
Summary:    DTD files of CLDR common
Group:      System/Internationalization

%description dtd
This package contains DTD files of CLDR common which are required by
cldr-emoji-annotations.

%package devel
Summary:    Files for development using cldr-annotations
Group:      System/Internationalization
Requires:   %{name} >= %{version}-%{release}
Requires:   pkgconfig

%description devel
This package contains the pkg-config files for development
when building programs that use cldr-annotations.

%prep
%autosetup -n cldr-release-%{version}

%build
#NOTHING TO DO!!!

%install
pushd $PWD
ANNOTATION_DIR=common/annotations
CLDR_DIR=%{_datadir}/unicode/cldr/$ANNOTATION_DIR
pushd $ANNOTATION_DIR
for xml in *.xml ; do
    install -pm 644 -D $xml $RPM_BUILD_ROOT$CLDR_DIR/$xml
done
popd

ANNOTATION_DIR=common/annotationsDerived
CLDR_DIR=%{_datadir}/unicode/cldr/$ANNOTATION_DIR
pushd $ANNOTATION_DIR
for xml in *.xml ; do
    install -pm 644 -D $xml $RPM_BUILD_ROOT$CLDR_DIR/$xml
done
popd

DTD_DIR=common/dtd
CLDR_DIR=%{_datadir}/unicode/cldr/$DTD_DIR
pushd $DTD_DIR
for dtd in *.dtd ; do
    install -pm 644 -D $dtd $RPM_BUILD_ROOT$CLDR_DIR/$dtd
done
popd

install -pm 755 -d $RPM_BUILD_ROOT%{_datadir}/pkgconfig
cat >> $RPM_BUILD_ROOT%{_datadir}/pkgconfig/%{name}.pc <<_EOF
prefix=/usr

Name: cldr-emoji-annotations
Description: annotation files in CLDR
Version: %{version}
_EOF

%files
%doc README.md
%license LICENSE
%dir %{_datadir}/unicode
%dir %{_datadir}/unicode/cldr
%dir %{_datadir}/unicode/cldr/common
%{_datadir}/unicode/cldr/common/annotations/
%{_datadir}/unicode/cldr/common/annotationsDerived/

%files dtd
%{_datadir}/unicode/cldr/common/dtd/

%files devel
%{_datadir}/pkgconfig/*.pc


%changelog
* Wed May 15 2024 daviddavid <daviddavid> 45-1.mga10
+ Revision: 2064334
- new version: 45
- new -dtd sub-pkg
- make it noarch

* Mon Mar 14 2022 umeabot <umeabot> 31.0.1_1-5.mga9
+ Revision: 1791615
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 31.0.1_1-4.mga8
+ Revision: 1511439
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 31.0.1_1-3.mga7
+ Revision: 1296580
- Mageia 7 Mass Rebuild

* Thu Jun 29 2017 pterjan <pterjan> 31.0.1_1-2.mga6
+ Revision: 1108664
- Actually drop autoreconf, the problem was just the call to automake
- Add a call to autoreconf to fix build with new automake, and use configure2_5x macro

* Tue May 16 2017 yochenhsieh <yochenhsieh> 31.0.1_1-1.mga6
+ Revision: 1102069
- imported package cldr-emoji-annotation

